#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
#
###############################################################################
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
###############################################################################

###############################################################################
# Created by: Bernd Mueller (bernd.mueller@de.lisega.com)
###############################################################################

# Programm name: abas_licences
#
# Example output
#<<<abas_licences>>>
#4

from .agent_based_api.v1 import *

def discovery_abas_licences(section):
    yield Service()

def check_abas_licences(params, section):
    warn, crit = params.get("warn"), params.get("crit")
    lics = int(section[0][0])
    yield Metric(
            "Licenses",
            lics,
            levels=(warn, crit),
            )
    yield Result(state=(State.CRIT if lics >= crit
    else State.WARN if lics >= warn
    else State.OK),
            summary = f"%s from maximal %s Licenses used" % (lics,crit))

register.check_plugin(
        name = "abas_licences",
        discovery_function = discovery_abas_licences,
        service_name = "ABAS Licences",
        check_function = check_abas_licences,
        check_default_parameters={"warn": 1, "crit": 2},
        check_ruleset_name='abas_licences',
)
