from cmk.gui.valuespec import (
    Integer,
    Float,
    Dictionary,
)

from cmk.gui.plugins.wato import (
    CheckParameterRulespecWithoutItem,
    rulespec_registry,
    RulespecGroupCheckParametersApplications,
)

def _parameter_valuespec_abas_licences():
    return Dictionary(
            help=("This rule sets limits to the license usage of "
                "an ABAS ERP Server."),
            title=("Maximum License usage of ABAS ERP server"),
            elements=[
                ("warn", Integer(title=("Warning at"), unit=u"Licenses")),
                ("crit", Integer(title=("Critical at"), unit=u"Licenses")),
                ],
            )

rulespec_registry.register(
        CheckParameterRulespecWithoutItem(
            check_group_name="abas_licences",
            group=RulespecGroupCheckParametersApplications,
            parameter_valuespec=_parameter_valuespec_abas_licences,
            title=lambda: _("ABAS Licences"),
        ))
